# Dynamics Aperture Study Package

<p align="center">
    <img src="https://img.shields.io/pypi/v/study-DA" alt="PyPI - Version">
    <img src="https://img.shields.io/github/commits-since/ColasDroin/study-DA/latest" alt="GitHub commits since latest release">
    <img src="https://img.shields.io/github/actions/workflow/status/ColasDroin/study-DA/ci_tests.yaml?label=Tests" alt="GitHub Actions Workflow Status">
    <img src="https://img.shields.io/github/actions/workflow/status/ColasDroin/study-DA/ci_docs.yaml?label=Doc" alt="GitHub Actions Workflow Status">
    <img src="https://img.shields.io/github/license/ColasDroin/study-DA" alt="GitHub License">
    <img src="https://img.shields.io/pypi/pyversions/study-DA" alt="PyPI - Python Version">
</p>

This package consists of a collection of tools to study the dynamics aperture of a particle accelerator built with [Xsuite](https://github.com/xsuite/xsuite). In a sense, it is a replacement of the [DA study template](https://github.com/xsuite/DA_study_template), but much more advanced. It also allows to configure colliders and do tracking without necessarily running parametric scans.

The whole project is described in details in the [full documentation](https://colasdroin.github.io/study-DA/), along with tutorials and description of the implemented functions.

## Installation

The package is available on PyPI and can be installed using `pip`.

```bash
pip install study-da
```

Proper installation might require additional instructions. Please refer to the [full documentation](https://colasdroin.github.io/study-DA/) for more details.

## Contributing

We welcome contributions to the Dynamics Aperture Study Package. If you have any ideas, suggestions, or bug reports, please open an issue or submit a pull request.

1. Fork the repository
2. Create a new branch (`git checkout -b feature/yourfeature`)
3. Make your changes
4. Commit your changes (`git commit -am 'Add your feature'`)
5. Push to the branch (`git push origin feature/yourfeature`)
6. Create a new Pull Request

## License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.
